Subject: Re: [PATCH v2 0/9] Bundle URIs III: Parse and download from bundle lists

From: Derrick Stolee <[email-masked]>
Date: Mon, 26 Sep 2022 09:19:57 -0400

On 9/9/2022 10:33 AM, Derrick Stolee via GitGitGadget wrote:

> Updates in v2
> =============
> 
> Thank you to all of the voices who chimed in on the previous version. I'm
> sorry it took so long for me to get a new version.
> 
>  * I've done a rather thorough overhaul to minimize how often later patches
>    rewrite portions of earlier patches.
> 
>  * We no longer use a strbuf in struct remote_bundle_info. Instead, use a
>    'char *' and only in the patch where it is first used.
> 
>  * The config documentation is more clearly indicating that the bundle.*
>    section has no effect in the repository config (at the moment, which will
>    change in the next series).
> 
>  * The bundle.version value is now parsed using git_parse_int().
> 
>  * The config key is now parsed using parse_config_key().
> 
>  * Commit messages clarify more about the context of the change in the
>    bigger picture of the bundle URI effort.
> 
>  * Some printf()s are correctly changed to fprintf()s.
> 
>  * The test helper CLI is unified across the two modes. They both take a
>    filename now.
> 
>  * The count of downloaded bundles is now only updated after a successful
>    download, allowing the "any" mode to keep trying after a failure.

If some of the reviewers from v1 could check that I responded to their
comments, then that would be a big help to getting this series moving
again.

Thanks,
-Stolee